Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1342583 - [Release Candidate] missing Configuration button and the containing UI element
Summary: [Release Candidate] missing Configuration button and the containing UI element
Keywords:
Status: CLOSED WORKSFORME
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - OPS
Version: 5.6.0
Hardware: x86_64
OS: Linux
medium
medium
Target Milestone: GA
: 5.7.0
Assignee: Dávid Halász
QA Contact: Dave Johnson
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-06-03 15:08 UTC by Colin Arnott
Modified: 2017-12-05 15:26 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-08-29 08:11:33 UTC
Category: ---
Cloudforms Team: ---
Target Upstream Version:


Attachments (Terms of Use)

Description Colin Arnott 2016-06-03 15:08:27 UTC
Description of problem:
UI element missing on the Cloud Provder page

Version-Release number of selected component (if applicable):
cfme-5.6.0.9-rc2.1.el7cf.x86_64

How reproducible:
tricky, it does go away when you reload the page

Steps to Reproduce:
1. login
2. navigate to cloud providers

Actual results:
missing Configuration button and the containing UI element

Expected results:
see the Configuration button and the containing UI element

Additional info:

[----] I, [2016-06-03T10:57:35.342262 #25630:85f05c]  INFO -- :   Rendered layouts/_exp_editor.html.haml (4.6ms)
[----] I, [2016-06-03T10:57:35.342347 #25630:85f05c]  INFO -- :   Rendered layouts/_adv_search_body.html.haml (7.3ms)
[----] I, [2016-06-03T10:57:35.343626 #25630:85f05c]  INFO -- :   Rendered layouts/_adv_search_footer.html.haml (1.1ms)
[----] I, [2016-06-03T10:57:35.343734 #25630:85f05c]  INFO -- :   Rendered layouts/_adv_search.html.haml (8.8ms)
[----] I, [2016-06-03T10:57:35.343854 #25630:85f05c]  INFO -- :   Rendered layouts/_footer.html.haml (9.0ms)
[----] I, [2016-06-03T10:57:35.347874 #25630:85f05c]  INFO -- : Completed 200 OK in 232ms (Views: 55.7ms | ActiveRecord: 0.0ms)
[----] I, [2016-06-03T10:57:37.141495 #25630:85eb0c]  INFO -- : Started POST "/dashboard/window_sizes?width=1280&height=1353" for 127.0.0.1 at 2016-06-03 10:57:37 -0400
[----] I, [2016-06-03T10:57:37.143108 #25630:85eb0c]  INFO -- : Processing by DashboardController#window_sizes as JS
[----] I, [2016-06-03T10:57:37.143172 #25630:85eb0c]  INFO -- :   Parameters: {"width"=>"1280", "height"=>"1353"}
[----] I, [2016-06-03T10:57:37.146307 #25630:85eb0c]  INFO -- : Completed 200 OK in 3ms (ActiveRecord: 0.0ms)
[----] I, [2016-06-03T10:57:42.004916 #25630:85e508]  INFO -- : Started GET "/favicon.ico" for 127.0.0.1 at 2016-06-03 10:57:42 -0400
[----] F, [2016-06-03T10:57:42.010741 #25630:85e508] FATAL -- :   
[----] F, [2016-06-03T10:57:42.010807 #25630:85e508] FATAL -- : ActionController::RoutingError (No route matches [GET] "/favicon.ico"):
[----] F, [2016-06-03T10:57:42.010850 #25630:85e508] FATAL -- :   
[----] F, [2016-06-03T10:57:42.010887 #25630:85e508] FATAL -- : /opt/rh/cfme-gemset/bundler/gems/rails-41f47090a7cd/actionpack/lib/action_dispatch/middleware/debug_exceptions.rb:53:in `call'
[----] F, [2016-06-03T10:57:42.010919 #25630:85e508] FATAL -- : /opt/rh/cfme-gemset/bundler/gems/rails-41f47090a7cd/actionpack/lib/action_dispatch/middleware/show_exceptions.rb:31:in `call'
[----] F, [2016-06-03T10:57:42.010951 #25630:85e508] FATAL -- : railties (5.0.0.rc1) lib/rails/rack/logger.rb:36:in `call_app'
[----] F, [2016-06-03T10:57:42.010982 #25630:85e508] FATAL -- : railties (5.0.0.rc1) lib/rails/rack/logger.rb:26:in `call'
[----] F, [2016-06-03T10:57:42.011013 #25630:85e508] FATAL -- : request_store (1.3.1) lib/request_store/middleware.rb:9:in `call'
[----] F, [2016-06-03T10:57:42.011045 #25630:85e508] FATAL -- : /opt/rh/cfme-gemset/bundler/gems/rails-41f47090a7cd/actionpack/lib/action_dispatch/middleware/request_id.rb:24:in `call'
[----] F, [2016-06-03T10:57:42.011075 #25630:85e508] FATAL -- : rack (2.0.0.rc1) lib/rack/method_override.rb:22:in `call'
[----] F, [2016-06-03T10:57:42.011106 #25630:85e508] FATAL -- : rack (2.0.0.rc1) lib/rack/runtime.rb:22:in `call'
[----] F, [2016-06-03T10:57:42.011136 #25630:85e508] FATAL -- : /opt/rh/cfme-gemset/bundler/gems/rails-41f47090a7cd/activesupport/lib/active_support/cache/strategy/local_cache_middleware.rb:28:in `call'
[----] F, [2016-06-03T10:57:42.011167 #25630:85e508] FATAL -- : /opt/rh/cfme-gemset/bundler/gems/rails-41f47090a7cd/actionpack/lib/action_dispatch/middleware/executor.rb:12:in `call'
[----] F, [2016-06-03T10:57:42.011198 #25630:85e508] FATAL -- : rack (2.0.0.rc1) lib/rack/sendfile.rb:111:in `call'
[----] F, [2016-06-03T10:57:42.011228 #25630:85e508] FATAL -- : railties (5.0.0.rc1) lib/rails/engine.rb:522:in `call'
[----] F, [2016-06-03T10:57:42.011291 #25630:85e508] FATAL -- : puma (3.3.0) lib/puma/configuration.rb:224:in `call'
[----] F, [2016-06-03T10:57:42.011324 #25630:85e508] FATAL -- : puma (3.3.0) lib/puma/server.rb:561:in `handle_request'
[----] F, [2016-06-03T10:57:42.011355 #25630:85e508] FATAL -- : puma (3.3.0) lib/puma/server.rb:406:in `process_client'
[----] F, [2016-06-03T10:57:42.011386 #25630:85e508] FATAL -- : puma (3.3.0) lib/puma/server.rb:271:in `block in run'
[----] F, [2016-06-03T10:57:42.011439 #25630:85e508] FATAL -- : puma (3.3.0) lib/puma/thread_pool.rb:111:in `call'
[----] F, [2016-06-03T10:57:42.011478 #25630:85e508] FATAL -- : puma (3.3.0) lib/puma/thread_pool.rb:111:in `block in spawn_thread'
[----] F, [2016-06-03T10:57:42.011511 #25630:85e508] FATAL -- : logging (1.8.2) lib/logging/diagnostic_context.rb:323:in `call'
[----] F, [2016-06-03T10:57:42.011542 #25630:85e508] FATAL -- : logging (1.8.2) lib/logging/diagnostic_context.rb:323:in `block in create_with_logging_context'
[----] I, [2016-06-03T10:57:42.036270 #25630:85e508]  INFO -- : Started GET "/favicon.ico" for 127.0.0.1 at 2016-06-03 10:57:42 -0400
[----] F, [2016-06-03T10:57:42.040938 #25630:85e508] FATAL -- :   
[----] F, [2016-06-03T10:57:42.041029 #25630:85e508] FATAL -- : ActionController::RoutingError (No route matches [GET] "/favicon.ico"):
[----] F, [2016-06-03T10:57:42.041068 #25630:85e508] FATAL -- :   
[----] F, [2016-06-03T10:57:42.041101 #25630:85e508] FATAL -- : /opt/rh/cfme-gemset/bundler/gems/rails-41f47090a7cd/actionpack/lib/action_dispatch/middleware/debug_exceptions.rb:53:in `call'
[----] F, [2016-06-03T10:57:42.041132 #25630:85e508] FATAL -- : /opt/rh/cfme-gemset/bundler/gems/rails-41f47090a7cd/actionpack/lib/action_dispatch/middleware/show_exceptions.rb:31:in `call'
[----] F, [2016-06-03T10:57:42.041163 #25630:85e508] FATAL -- : railties (5.0.0.rc1) lib/rails/rack/logger.rb:36:in `call_app'
[----] F, [2016-06-03T10:57:42.041193 #25630:85e508] FATAL -- : railties (5.0.0.rc1) lib/rails/rack/logger.rb:26:in `call'
[----] F, [2016-06-03T10:57:42.041224 #25630:85e508] FATAL -- : request_store (1.3.1) lib/request_store/middleware.rb:9:in `call'
[----] F, [2016-06-03T10:57:42.041254 #25630:85e508] FATAL -- : /opt/rh/cfme-gemset/bundler/gems/rails-41f47090a7cd/actionpack/lib/action_dispatch/middleware/request_id.rb:24:in `call'
[----] F, [2016-06-03T10:57:42.041284 #25630:85e508] FATAL -- : rack (2.0.0.rc1) lib/rack/method_override.rb:22:in `call'
[----] F, [2016-06-03T10:57:42.041314 #25630:85e508] FATAL -- : rack (2.0.0.rc1) lib/rack/runtime.rb:22:in `call'
[----] F, [2016-06-03T10:57:42.041344 #25630:85e508] FATAL -- : /opt/rh/cfme-gemset/bundler/gems/rails-41f47090a7cd/activesupport/lib/active_support/cache/strategy/local_cache_middleware.rb:28:in `call'
[----] F, [2016-06-03T10:57:42.041375 #25630:85e508] FATAL -- : /opt/rh/cfme-gemset/bundler/gems/rails-41f47090a7cd/actionpack/lib/action_dispatch/middleware/executor.rb:12:in `call'
[----] F, [2016-06-03T10:57:42.041405 #25630:85e508] FATAL -- : rack (2.0.0.rc1) lib/rack/sendfile.rb:111:in `call'
[----] F, [2016-06-03T10:57:42.041435 #25630:85e508] FATAL -- : railties (5.0.0.rc1) lib/rails/engine.rb:522:in `call'
[----] F, [2016-06-03T10:57:42.041464 #25630:85e508] FATAL -- : puma (3.3.0) lib/puma/configuration.rb:224:in `call'
[----] F, [2016-06-03T10:57:42.041493 #25630:85e508] FATAL -- : puma (3.3.0) lib/puma/server.rb:561:in `handle_request'
[----] F, [2016-06-03T10:57:42.041523 #25630:85e508] FATAL -- : puma (3.3.0) lib/puma/server.rb:406:in `process_client'
[----] F, [2016-06-03T10:57:42.041554 #25630:85e508] FATAL -- : puma (3.3.0) lib/puma/server.rb:271:in `block in run'
[----] F, [2016-06-03T10:57:42.041617 #25630:85e508] FATAL -- : puma (3.3.0) lib/puma/thread_pool.rb:111:in `call'
[----] F, [2016-06-03T10:57:42.041662 #25630:85e508] FATAL -- : puma (3.3.0) lib/puma/thread_pool.rb:111:in `block in spawn_thread'
[----] F, [2016-06-03T10:57:42.041703 #25630:85e508] FATAL -- : logging (1.8.2) lib/logging/diagnostic_context.rb:323:in `call'
[----] F, [2016-06-03T10:57:42.041737 #25630:85e508] FATAL -- : logging (1.8.2) lib/logging/diagnostic_context.rb:323:in `block in create_with_logging_context'
[----] I, [2016-06-03T10:57:46.497926 #25630:85e0e4]  INFO -- : Started POST "/dashboard/window_sizes?width=1510&height=1353" for 127.0.0.1 at 2016-06-03 10:57:46 -0400
[----] I, [2016-06-03T10:57:46.499233 #25630:85e0e4]  INFO -- : Processing by DashboardController#window_sizes as JS
[----] I, [2016-06-03T10:57:46.499298 #25630:85e0e4]  INFO -- :   Parameters: {"width"=>"1510", "height"=>"1353"}
[----] I, [2016-06-03T10:57:46.502492 #25630:85e0e4]  INFO -- : Completed 200 OK in 3ms (ActiveRecord: 0.0ms)
[----] I, [2016-06-03T10:58:10.137271 #25654:7db798]  INFO -- : Started GET "/api" for 127.0.0.1 at 2016-06-03 10:58:10 -0400
[----] I, [2016-06-03T10:58:10.157207 #25654:7db798]  INFO -- : Processing by ApiController#show as JSON
[----] I, [2016-06-03T10:58:10.260419 #25654:7db798]  INFO -- : Completed 200 OK in 103ms (Views: 0.5ms | ActiveRecord: 0.0ms)
[----] I, [2016-06-03T10:59:10.131678 #25654:7db374]  INFO -- : Started GET "/api" for 127.0.0.1 at 2016-06-03 10:59:10 -0400
[----] I, [2016-06-03T10:59:10.150967 #25654:7db374]  INFO -- : Processing by ApiController#show as JSON
[----] I, [2016-06-03T10:59:10.250500 #25654:7db374]  INFO -- : Completed 200 OK in 99ms (Views: 0.5ms | ActiveRecord: 0.0ms)
[----] I, [2016-06-03T10:59:20.726393 #25630:85f41c]  INFO -- : Started POST "/dashboard/window_sizes?width=1050&height=65" for 127.0.0.1 at 2016-06-03 10:59:20 -0400
[----] I, [2016-06-03T10:59:20.728018 #25630:85f41c]  INFO -- : Processing by DashboardController#window_sizes as JS
[----] I, [2016-06-03T10:59:20.728085 #25630:85f41c]  INFO -- :   Parameters: {"width"=>"1050", "height"=>"65"}
[----] I, [2016-06-03T10:59:20.731789 #25630:85f41c]  INFO -- : Completed 200 OK in 4ms (ActiveRecord: 0.0ms)
[----] I, [2016-06-03T11:00:10.144196 #25654:7dbbd0]  INFO -- : Started GET "/api" for 127.0.0.1 at 2016-06-03 11:00:10 -0400
[----] I, [2016-06-03T11:00:10.163603 #25654:7dbbd0]  INFO -- : Processing by ApiController#show as JSON
[----] I, [2016-06-03T11:00:10.270073 #25654:7dbbd0]  INFO -- : Completed 200 OK in 106ms (Views: 0.6ms | ActiveRecord: 0.0ms)
[----] I, [2016-06-03T11:01:10.205990 #25654:7d0adc]  INFO -- : Started GET "/api" for 127.0.0.1 at 2016-06-03 11:01:10 -0400
[----] I, [2016-06-03T11:01:10.226419 #25654:7d0adc]  INFO -- : Processing by ApiController#show as JSON
[----] I, [2016-06-03T11:01:10.335610 #25654:7d0adc]  INFO -- : Completed 200 OK in 109ms (Views: 0.6ms | ActiveRecord: 0.0ms)
[----] I, [2016-06-03T11:02:10.131728 #25654:7d03ac]  INFO -- : Started GET "/api" for 127.0.0.1 at 2016-06-03 11:02:10 -0400


Note You need to log in before you can comment on or make changes to this bug.